#include <time.h>
#include <gtk/gtk.h>

void
window_raise(GtkWidget *window)
{
	gtk_widget_hide_all(window);
	gtk_widget_show_all(window);
}

void
gtk_tree_view_column_new_text(GtkWidget *view, char *header, int pos)
{
        GtkTreeViewColumn *col;
        GtkCellRenderer *renderer;

        col = gtk_tree_view_column_new();
        gtk_tree_view_column_set_title(col, header);
        gtk_tree_view_append_column(GTK_TREE_VIEW(view), col);
        renderer = gtk_cell_renderer_text_new();
        gtk_tree_view_column_pack_start(col, renderer, TRUE);
        gtk_tree_view_column_add_attribute(col, renderer, "text", pos);

}

gchar *
format_date(time_t *now, time_t *t)
{
	struct tm *tm;

	tm=localtime(t);

	if (*now-*t < 12*60*60) 
		return g_strdup_printf("%02d:%02d", tm->tm_hour, tm->tm_min);
	else if (*now-*t < 24*60*60*180) 
		return g_strdup_printf("%d.%d %02d:%02d", tm->tm_mday, tm->tm_mon+1, tm->tm_hour, tm->tm_min);
	else
		return g_strdup_printf("%d.%d.%02d %02d:%02d", tm->tm_mday, tm->tm_mon+1, tm->tm_year % 100, tm->tm_hour, tm->tm_min);
}

gchar *
format_duration(int seconds)
{
	int hours, minutes;

	hours=seconds/3600;
	seconds-=hours*3600;
	minutes=seconds/60;
	seconds-=minutes*60;
	if (hours > 0)
		return g_strdup_printf("%d:%02d:%02d", hours, minutes, seconds);
	else
		return g_strdup_printf("%d:%02d", minutes, seconds);
}
